Send Bulk Campaign Messages

Send a bulk campaign message, delivering it through one or more channel bindings. Currently supports the SMS and EMAIL channels. A request can contain at most 600 bindings; requests that exceed this limit are rejected with a 400 Bad Request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Scope

campaign-message:write

Body Params
string
required
length ≥ 1

The unique identifier for the bulk message

string
required
length ≥ 1

The unique identifier for the campaign.

campaign_info
object
required

Additional information about the campaign.

uri
required
length ≥ 1

A URL to which the server will send the message result after processing the request.

uri
required
length ≥ 1

The base URL Talkdesk uses to invoke the Noetica API for this campaign.

bindings
array of objects
required
length between 1 and 600

An array containing one or more message bindings.

bindings*
string
required
length ≥ 1

The unique identifier for this message binding.

string
required
length ≥ 1

The unique identifier for the record associated with this message.

string
required
length ≥ 1

A prefix used to identify the record type.

record_info
object
required

Additional information about the record.

string
enum
required

The channel used to send the message. Currently only SMS and EMAIL are supported.

Allowed:
additional_info
object
required

Additional metadata for the binding.

string
required
length ≥ 1

The sender identifier (e.g. phone number or alpha sender id).

string
required
length ≥ 1

The recipient identifier (e.g. phone number).

string

The message subject. Required (may be an empty string) when channel is EMAIL; ignored for SMS.

string
required
length ≥ 1

The message body.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json